close all
clear all
clc

%% LINEARNO PROGRAMIRANJE

% Potrebno je maksimizirati linearnu funkciju
% f(x) = 4*x1 + 6*x2 + 7*x3 + 8*x4,
% uz linearna ogranicenja
% x1 + x2 + x3 + x4 = 950,
% 2*x1 + 3*x2 + 4*x3 + 7*x4 <= 4600,
% 3*x1 + 4*x2 + 5*x3 + 6*x4 <= 5000,
% x4 >= 400,
% x1, x2, x3 >= 0.

%help linprog

% Linearna funkcija definirana je vektorom c,
% f(x) = c'*x 
c = [4;6;7;8];

% Ogranicenja se definiraju u matricnom obliku
% Aeq*x = beq, Ain*x <= bin, lb <= x <= ub
Aeq = [1 1 1 1];
beq = 950;
Ain = [2 3 4 7;3 4 5 6];
bin =[4600;5000];
lb = [0;0;0;400];
ub = []; 

% Funkciju je potrebno maksimizirati, pa uzimamo c s negativnim predznakom
x0 = [];
opt = optimoptions('linprog', 'Algorithm', 'interior-point');
[x_optimalno, f_max] = linprog(-c, Ain, bin, Aeq, beq, lb, ub, x0, opt)
